Get bulk crypto payout
curl --request GET \
--url https://app.sandbox.rio.trade/api/payouts/crypto/bulk/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/payouts/crypto/bulk/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/payouts/crypto/bulk/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2025-01-04T00:24:28.658Z",
"userId": "6757546b4c5d19bf3cd7b09c",
"orderIds": [
"677880bab7a7c5e821c9f56f",
"67788100b7a7c5e821c9fc0f",
"6778811fb7a7c5e821c9fef5"
],
"amount": 15000,
"crypto": "USDC",
"payoutAddressId": "65ba521a4b3e1bd9eb6a5107",
"blockchainAddress": "0x1234567890abcdef1234567890abcdef12345678",
"country": "MX",
"status": "awaitingOrders",
"payoutsSent": [
{
"amount": 123,
"blockchainTxId": "<string>",
"sentAt": "2025-01-04T12:30:00.000Z"
}
],
"id": "677890d5d520f9ecb10e9c33"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 4,
"message": "Bulk crypto payout not found"
}
]
}Crypto payouts API
Get bulk crypto payout
Retrieves the details and status of a bulk crypto payout.
GET
/
api
/
payouts
/
crypto
/
bulk
/
{id}
Get bulk crypto payout
Requirements to consume the endpoint.
User approved
The user must be approved in at least one country.
Authorizations
Path Parameters
Id of the bulk crypto payout
Response
OK
The date and time the bulk payout was created.
Example:
"2025-01-04T00:24:28.658Z"
The unique identifier of the user.
Example:
"6757546b4c5d19bf3cd7b09c"
List of order IDs associated with this bulk payout.
Example:
[
"677880bab7a7c5e821c9f56f",
"67788100b7a7c5e821c9fc0f",
"6778811fb7a7c5e821c9fef5"
]
The total payout amount across all orders.
Example:
15000
The cryptocurrency of the payout.
Available options:
USDC, USDC_POLYGON_NXTB, SOL_USDC_PTHX, XLM_USDC_5F3T, USDC_BASECHAIN_ETH_5I5C, USDCE_TEMPO_MXYR, USDT_POLYGON, USDT_ERC20, TRX_USDT_S2UZ, USDT_BSC, SOL_USDT_EWAY, EUROC_ETH_F5NG, EURC_SOL, EURC_B609K9QB_Y213 The ID of the destination crypto address.
Example:
"65ba521a4b3e1bd9eb6a5107"
The blockchain address where funds will be sent.
Example:
"0x1234567890abcdef1234567890abcdef12345678"
The country of the operation.
Available options:
MX, PE, CO The current status of the bulk crypto payout.
Available options:
awaitingOrders, awaitingPaymentForOrders, awaitingPayoutRequest, awaitingPayout, awaitingAsyncPayout, awaitingAsyncPayoutRequest, checkingLiquidity, sourcingLiquidity, liquiditySourced, complete, failed, cancelled Example:
"awaitingOrders"
Details of individual payouts within this bulk payout.
Show child attributes
Show child attributes
The unique identifier of the bulk crypto payout.
Example:
"677890d5d520f9ecb10e9c33"